> For the complete documentation index, see [llms.txt](https://glu.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://glu.gitbook.io/docs/api-reference/organisation-api/partner-offer.md).

# Partner Offer

Partner offers are special promotions or deals provided by our partners. They can be redeemed by members and may include discounts, free items, or other benefits. Partner offers can be added to a member's wallet for easy access and redemption.

## List all partner offers

> Returns a list of partner offers. The offers are returned in descending order by creation date.

```json
{"openapi":"3.1.0","info":{"title":"Glu","version":"1.0.0"},"tags":[{"name":"PartnerOffer","description":"Partner offers are special promotions or deals provided by our partners. They can be redeemed by members and may include discounts, free items, or other benefits. Partner offers can be added to a member's wallet for easy access and redemption."}],"servers":[{"url":"https://api.glu.io","description":"Production API"}],"security":[{"x_api_key":[]}],"components":{"securitySchemes":{"x_api_key":{"type":"apiKey","description":"Value for the x-api-key header parameter.","name":"x-api-key","in":"header"}},"schemas":{"PartnerOffer-partneroffer.read":{"type":"object","description":"Partner offers are special promotions or deals provided by our partners. They can be redeemed by members and may include discounts, free items, or other benefits. Partner offers can be added to a member's wallet for easy access and redemption.","properties":{"id":{"readOnly":true,"type":["string","null"],"format":"uuid"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"name":{"type":"string"},"organisation":{"type":"integer"},"description":{"default":"","type":"string"},"terms":{"default":"","type":"string"},"buttonLink":{"default":"","type":"string"},"code":{"default":"","type":"string"},"displayQRCode":{"default":true,"type":"boolean"},"images":{"type":"array","items":{"type":["string","null"]}},"status":{"default":"Draft","type":"string","enum":["Draft","Active","Expired","Scheduled","Deleted"]},"allowAddToNativeWallet":{"default":true,"type":"boolean"},"scheduledFrom":{"type":["string","null"],"format":"date-time"},"scheduledTo":{"type":["string","null"],"format":"date-time"},"validFrom":{"type":["string","null"],"format":"date-time"},"store":{"type":"array","items":{"type":"integer"}},"buttonType":{"default":"copy","type":"string"},"buttonText":{"default":"","type":"string"},"brandName":{"default":"","type":"string"},"tags":{"type":"array","items":{"type":"integer"}},"cardBackgroundColor":{"default":"","type":"string"},"cardTextColor":{"default":"","type":"string"},"cardLogo":{"type":"array","items":{"type":["string","null"]}},"cardLogoScale":{"default":"1","type":"string"},"cardBackgroundOverlayColor":{"default":"#000000","type":"string"},"cardBackgroundOverlayOpacity":{"default":"0.5","type":"string"},"cardBackgroundStyle":{"default":"","type":"string"},"cardLogoBackgroundColor":{"default":"","type":"string"},"deviceWalletPassLogoType":{"default":"","type":"string"},"deviceWalletPassLogo":{"type":"array","items":{"type":["string","null"]}},"deviceWalletPassBackgroundColor":{"default":"","type":"string"},"deviceWalletPassTextColor":{"default":"","type":"string"},"deviceWalletPassLabelTextColor":{"default":"","type":"string"}}},"Error.jsonld":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["integer","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"},"description":{"readOnly":true,"type":["string","null"]}}},"Error":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["integer","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"}}}}},"paths":{"/partner_offers":{"get":{"operationId":"api_partner_offers_get_collection","tags":["PartnerOffer"],"responses":{"200":{"description":"PartnerOffer collection","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PartnerOffer-partneroffer.read"}}}}},"403":{"description":"Forbidden","content":{"application/ld+json":{"schema":{"$ref":"#/components/schemas/Error.jsonld"}},"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}}},"summary":"List all partner offers","description":"Returns a list of partner offers. The offers are returned in descending order by creation date.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":true}]}}}}
```

## Retrieve a partner offer

> Returns the details of a specific partner offer.

```json
{"openapi":"3.1.0","info":{"title":"Glu","version":"1.0.0"},"tags":[{"name":"PartnerOffer","description":"Partner offers are special promotions or deals provided by our partners. They can be redeemed by members and may include discounts, free items, or other benefits. Partner offers can be added to a member's wallet for easy access and redemption."}],"servers":[{"url":"https://api.glu.io","description":"Production API"}],"security":[{"x_api_key":[]}],"components":{"securitySchemes":{"x_api_key":{"type":"apiKey","description":"Value for the x-api-key header parameter.","name":"x-api-key","in":"header"}},"schemas":{"PartnerOffer-partneroffer.read":{"type":"object","description":"Partner offers are special promotions or deals provided by our partners. They can be redeemed by members and may include discounts, free items, or other benefits. Partner offers can be added to a member's wallet for easy access and redemption.","properties":{"id":{"readOnly":true,"type":["string","null"],"format":"uuid"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"name":{"type":"string"},"organisation":{"type":"integer"},"description":{"default":"","type":"string"},"terms":{"default":"","type":"string"},"buttonLink":{"default":"","type":"string"},"code":{"default":"","type":"string"},"displayQRCode":{"default":true,"type":"boolean"},"images":{"type":"array","items":{"type":["string","null"]}},"status":{"default":"Draft","type":"string","enum":["Draft","Active","Expired","Scheduled","Deleted"]},"allowAddToNativeWallet":{"default":true,"type":"boolean"},"scheduledFrom":{"type":["string","null"],"format":"date-time"},"scheduledTo":{"type":["string","null"],"format":"date-time"},"validFrom":{"type":["string","null"],"format":"date-time"},"store":{"type":"array","items":{"type":"integer"}},"buttonType":{"default":"copy","type":"string"},"buttonText":{"default":"","type":"string"},"brandName":{"default":"","type":"string"},"tags":{"type":"array","items":{"type":"integer"}},"cardBackgroundColor":{"default":"","type":"string"},"cardTextColor":{"default":"","type":"string"},"cardLogo":{"type":"array","items":{"type":["string","null"]}},"cardLogoScale":{"default":"1","type":"string"},"cardBackgroundOverlayColor":{"default":"#000000","type":"string"},"cardBackgroundOverlayOpacity":{"default":"0.5","type":"string"},"cardBackgroundStyle":{"default":"","type":"string"},"cardLogoBackgroundColor":{"default":"","type":"string"},"deviceWalletPassLogoType":{"default":"","type":"string"},"deviceWalletPassLogo":{"type":"array","items":{"type":["string","null"]}},"deviceWalletPassBackgroundColor":{"default":"","type":"string"},"deviceWalletPassTextColor":{"default":"","type":"string"},"deviceWalletPassLabelTextColor":{"default":"","type":"string"}}},"Error.jsonld":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["integer","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"},"description":{"readOnly":true,"type":["string","null"]}}},"Error":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["integer","null"],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"}}}}},"paths":{"/partner_offers/{id}":{"get":{"operationId":"api_partner_offers_id_get","tags":["PartnerOffer"],"responses":{"200":{"description":"PartnerOffer resource","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerOffer-partneroffer.read"}}}},"403":{"description":"Forbidden","content":{"application/ld+json":{"schema":{"$ref":"#/components/schemas/Error.jsonld"}},"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application/ld+json":{"schema":{"$ref":"#/components/schemas/Error.jsonld"}},"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}}},"summary":"Retrieve a partner offer","description":"Returns the details of a specific partner offer.","parameters":[{"name":"id","in":"path","description":"PartnerOffer identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]}}}}
```
